# m3e/stepper

Stepper is provides a wizard-like workflow by dividing content into logical steps.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        header_position: step_header_position.StepHeaderPosition,
        label_position: step_label_position.StepLabelPosition,
        linear: Linear,
        orientation: stepper_orientation.StepperOrientation,
      )
    }

### Constructors

-     Config(
        header_position: step_header_position.StepHeaderPosition,
        label_position: step_label_position.StepLabelPosition,
        linear: Linear,
        orientation: stepper_orientation.StepperOrientation,
      )

## Linear

</>

Linear is whether the validity of previous steps should be checked or not.

    pub type Linear {
      IsLinear
      IsNotLinear
    }

### Constructors

-     IsLinear

-     IsNotLinear

## Slot

</>

Slots are used in child elements to insert content into this component

    pub type Slot {
      Step
      Panel
    }

### Constructors

-     Step

-     Panel

## Stepper

opaque </>

Stepper is a View Model for this component

## Fields:

- header_position: The position of the step header, when oriented horizontally.
- label_position: The position of the step labels, when oriented horizontally.
- linear: Whether the validity of previous steps should be checked or not.
- orientation: The orientation of the stepper.

    pub opaque type Stepper

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_header_position

</>

    pub const default_header_position: step_header_position.StepHeaderPosition

## default_label_position

</>

    pub const default_label_position: step_label_position.StepLabelPosition

## default_linear

</>

    pub const default_linear: Linear

## default_orientation

</>

    pub const default_orientation: stepper_orientation.StepperOrientation

## from_config

</>

    pub fn from_config(config: Config) -> Stepper

from_config creates a new Stepper from the given configuration.

## header_position

</>

    pub fn header_position(
      record: Stepper,
      header_position: step_header_position.StepHeaderPosition,
    ) -> Stepper

header_position sets the value of header_position for this Stepper.

## label_position

</>

    pub fn label_position(
      record: Stepper,
      label_position: step_label_position.StepLabelPosition,
    ) -> Stepper

label_position sets the value of label_position for this Stepper.

## linear

</>

    pub fn linear(record: Stepper, linear: Linear) -> Stepper

linear sets the value of linear for this Stepper.

## new

</>

    pub fn new() -> Stepper

new creates a new Stepper with the default configuration.

## orientation

</>

    pub fn orientation(
      record: Stepper,
      orientation: stepper_orientation.StepperOrientation,
    ) -> Stepper

orientation sets the value of orientation for this Stepper.

## render

</>

    pub fn render(
      model: Stepper,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Stepper

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a Stepper Config

## slot

</>

    pub fn slot(s: Slot) -> attribute.Attribute(msg)

slot returns a Lustre Attribute(msg) for the given slot name

✨